# Class LoginForm

#### Implements

- FormType<ILoginForm>
- RxapOnInit

- Defined in login/login.form.ts:36

#####
Index

### Constructors

constructor

### Properties

config
email
loading
loginFailed
password
remember
rxapFormGroup

### Methods

rxapOnInit

##
Constructors

### constructor

- new LoginForm(config: ConfigService<any>): LoginForm

  #### Parameters

  - config: ConfigService<any>

  #### Returns LoginForm

  - Defined in login/login.form.ts:57

##
Properties

### `Readonly` config

config: ConfigService<any>

- Defined in login/login.form.ts:57

### email

email: RxapFormControl<string>

Implementation of FormType.email

- Defined in login/login.form.ts:45

### loading

loading: boolean = true

- Defined in login/login.form.ts:39

### loginFailed

loginFailed: boolean = false

- Defined in login/login.form.ts:40

### password

password: RxapFormControl

Implementation of FormType.password

- Defined in login/login.form.ts:50

### remember

remember: RxapFormControl

- Defined in login/login.form.ts:55

### rxapFormGroup

rxapFormGroup: RxapFormGroup

Implementation of FormType.rxapFormGroup

- Defined in login/login.form.ts:37

##
Methods

### rxapOnInit

- rxapOnInit(): void

  #### Returns void

  Implementation of RxapOnInit.rxapOnInit

  - Defined in login/login.form.ts:60